gnutls_pkcs11_privkey_export_url(3)

NAME
gnutls_pkcs11_privkey_export_url - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_privkey_export_url(gnutls_pkcs11_privkey_t key, gnutls_pkcs11_url_type_t detailed, char ** url);

ARGUMENTS

gnutls_pkcs11_privkey_t key
    Holds the PKCS 11 key

gnutls_pkcs11_url_type_t detailed
    non zero if a detailed URL is required

char ** url
    will contain an allocated url

DESCRIPTION
This function will export a URL identifying the given key.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/